<cfcomponent>
	
<cfset this.dsn = "cfartgallery">	

<cffunction name="getArtists" access="remote" output="false" returntype="any">
   <cfargument name="page">
   <cfargument name="pageSize">
   <cfargument name="gridsortcolumn">
   <cfargument name="gridsortdirection">
	<cfquery name="getArtists" datasource="#this.dsn#">
		SELECT *
		FROM Artists
		<cfif gridsortcolumn neq "" or gridsortdirection neq ""> 
            order by #gridsortcolumn# #gridsortdirection#
        </cfif> 
	</cfquery>
	 <cfreturn QueryConvertForGrid(getArtists, page, pageSize)>
</cffunction>

 <cffunction name="editArtist" access="remote" output="false" returntype="any">
    <cfargument name="gridaction">
    <cfargument name="gridrow">
    <cfargument name="gridchanged">
     
    <cfif isStruct(gridrow) and isStruct(gridchanged)>
        <cfif gridaction eq "U">
            <cfset colname=structkeylist(gridchanged)>
            <cfset value=structfind(gridchanged,#colname#)>
            <cfquery name="team" datasource="#this.dsn#"> 
                update Artists set <cfoutput>#colname#</cfoutput> = 
                    '<cfoutput>#value#</cfoutput>'
                where artistid = <cfoutput>#gridrow.artistid#</cfoutput>
            </cfquery>
        <cfelse>
            <cfquery name="team" datasource="#this.dsn#"> 
                delete from Artists where artistid = <cfoutput>#gridrow.artistid#
                    </cfoutput>
            </cfquery> 
        </cfif>
    </cfif>
</cffunction> 

<cffunction name="addNewArtist" access="remote">
<cfargument name="firstname" type="string" required="true">
<cfargument name="lastname" type="string" required="true">
<cfargument name="email" type="string" required="true">
<cfargument name="address" type="string" required="true">
<cfargument name="city" type="string" required="true">
<cfargument name="state" type="string" required="true">
<cfargument name="postalcode" type="string" required="true">
<cftry>
<cfquery datasource="cfartgallery">
INSERT INTO Artists
(
	firstname,
	lastname,
	email,
	address,
	city,
	state,
	postalcode
)
VALUES
(
	<cfqueryparam cfsqltype="cf_sql_varchar" value="#arguments.firstname#">
	,<cfqueryparam cfsqltype="cf_sql_varchar" value="#arguments.lastname#">
	,<cfqueryparam cfsqltype="cf_sql_varchar" value="#arguments.email#">
	,<cfqueryparam cfsqltype="cf_sql_varchar" value="#arguments.address#">
	,<cfqueryparam cfsqltype="cf_sql_varchar" value="#arguments.city#">
	,<cfqueryparam cfsqltype="cf_sql_varchar" value="#arguments.state#">
	,<cfqueryparam cfsqltype="cf_sql_varchar" value="#arguments.postalcode#">
)
</cfquery>
	<cfreturn "Artist Added">
<cfcatch>
	<cfreturn cfcatch.detail>
</cfcatch>
</cftry>
</cffunction>

<cffunction name="deleteArtist" access="remote">
<cfargument name="artistid" required="true" type="string">
<cftry>
	<cfquery datasource="cfartgallery">
	DELETE  FROM Artists
	WHERE
	artistid = <cfqueryparam cfsqltype="cf_sql_numeric" value="#arguments.artistid#">
	</cfquery>
	<cfreturn "Artist Deleted">
<cfcatch>
	<cfreturn cfcatch.detail>
</cfcatch>
</cftry>
</cffunction>

</cfcomponent>