<!--- we need this proxy for add/delete calls to the CFC--->
<cfajaxproxy cfc="data" jsclassname="dataproxy">
<html>
<head>
<script type="text/javascript" src="/CFIDE/scripts/ajax/ext/package/toolbar/toolbar.js"></script>
<script type="text/javascript">
// create a new JS proxy object for the CFC	
var dataproxy = new dataproxy();
dataproxy.setCallbackHandler(handleResult);

function handleResult(response)
{
	alert(response);
}

// add the 2 custom buttons to the toolbar
function init(){
 grid = ColdFusion.Grid.getGridObject("ArtistGrid");
 var gridHead = grid.getView().getHeaderPanel(true);
 var tbar = new Ext.Toolbar(gridHead);
 tbar.addButton({text:"Add Artist", handler:onAdd });
 tbar.addSeparator();
 tbar.addButton({ text:"Delete Artist", handler:onDelete });
}

function onAdd(button,event){
	ColdFusion.Window.show('addArtistWin');
}
function onDelete(){
	ColdFusion.Window.show('deleteArtistWin');
}

function addartist()
{
	//send data to CFC to add artist, the result will be handled by handleResult function above
	var f = document.frmArtist;
	dataproxy.addNewArtist(
		f.txtFirstName.value
		,f.txtLastName.value
		,f.txtEmail.value
		,f.txtAddress.value
		,f.txtCity.value
		,f.txtState.value
		,f.txtPostalCode.value
	);
	ColdFusion.Window.hide('addArtistWin');
	grid.refresh();
}

function deleteArtist(s)
{
	// if user choose to delete, then send the CFC call, otherwise just sit back!
	if (s == 'yes')
	{
	var grid = ColdFusion.Grid.getGridObject("ArtistGrid");
	var record = grid.getSelections();
	// remember, CF makes column names to all UPPERCASE, so dont forget to do that
	dataproxy.deleteArtist(record[0].data.ARTISTID);
	}
	ColdFusion.Window.hide('deleteArtistWin');
	grid.refresh();
}
</script>
</head>



<cfset args = structNew()>
<cfset args.name = "ArtistGrid">
<cfset args.format = "html">
<cfset args.bindOnLoad = "true">
<cfset args.bind = "cfc:data.getArtists({cfgridpage},{cfgridpagesize},
            {cfgridsortcolumn},{cfgridsortdirection})">
<cfset args.stripeRows = true>
<cfset args.selectColor = "##D9E8FB">
<cfset args.selectmode = "edit">
<cfset args.onchange = "cfc:data.editArtist({cfgridaction},{cfgridrow},{cfgridchanged})"> 

<cfform>
<cfgrid attributeCollection="#args#">
	<cfgridcolumn name="artistid" display="false">
	<cfgridcolumn name="firstname" header="First Name">
	<cfgridcolumn name="lastname" header="Last Name">
	<cfgridcolumn name="email" header="Email Address">
	<cfgridcolumn name="address" header="Address">
	<cfgridcolumn name="city" header="City" display="false">
	<cfgridcolumn name="state" header="State" display="false">
	<cfgridcolumn name="postalcode" header="Zip" display="false">
</cfgrid>
</cfform>

<cfwindow width="150" height="150" name="deleteArtistWin" modal="true" resizable="false" title="Delete Artist?"
bodyStyle="font-family: verdana; color: ##000000;font-size:15px;font-weight:bold;"
       headerStyle="font-family: verdana; background-color: black; color: white">
	<div style="margin-left:5px;margin-top:5px;">
	Please Confirm this action.
	<input type="button" value="yes, surely!" onclick="deleteArtist('yes')">
	<input type="button" value="no, please! " onclick="deleteArtist('no')">
	<br/>
	
</cfwindow>

<cfwindow name="addArtistWin" modal="true" resizable="false" title="Add New Artist" bodyStyle="font-size:10px;font-family: verdana; color: ##ff0000;"
       headerStyle="font-family: verdana; background-color: black; color: white">
	<form name="frmArtist" style="font-size:10px;">
		<table width="100%">
			<tr>
				<td>Firstname</td>
				<td><input type="text" name="txtFirstName" value="dummy"></td>
			</tr>
			<tr>
				<td>Lastname</td>
				<td><input type="text" name="txtLastName"  value="dummy"></td>
			</tr>
			<tr>
				<td>Email</td>
				<td><input type="text" name="txtEmail"  value="dummy"></td>
			</tr>
			<tr>
				<td>Address</td>
				<td><input type="text" name="txtAddress"  value="dummy"></td>
			</tr>
			<tr>
				<td>City</td>
				<td><input type="text" name="txtCity"  value="CA"></td>
			</tr>
			<tr>
				<td>State</td>
				<td><input type="text" name="txtState"  value="NY"></td>
			</tr>
			<tr>
				<td>postalCode</td>
				<td><input type="text" name="txtPostalCode"  value="dummy"></td>
			</tr>
			<tr>
				<td colspan="2"><input type="button" value="Add Artist" onclick="javascript:addartist();"></td>
			</tr>
	</form>
</cfwindow>
<cfset ajaxOnLoad("init")>

</html>